package admin

import (
	"github.com/gofiber/fiber/v3"
)

func RegisterAdminRoutes(app fiber.Router) {
	adminController := NewAdminController()

	// Typescript: TSEndpoint= path=/api/admin/users; name=listUsers; method=POST; request=admin.ListUsersRequest; response=admin.ListUsersResponse
	app.Post("/admin/users", adminController.ListUsers)

	// Typescript: TSEndpoint= path=/api/admin/users/block; name=blockUser; method=PUT; request=admin.BlockUserRequest; response=users.User
	app.Put("/admin/users/block", adminController.BlockUser)

}
